> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get business visa eligibility and requirements

GET https://api.letsdeel.com/rest/immigration/visa-requirement/business

Analyzes a traveller's nationality, residence country, destination, and trip dates to return the available business visa options along with their fees, estimated timelines, and qualification criteria. An optional `second_nationality` may be provided to expand eligibility assessment.

 **Token scopes**: `immigration:read`

Reference: https://developer.deel.com/api/endpoints/immigration/get-business-visa-requirement

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `destination_country` (string, required) — The destination country code of the trip in ISO 3166-1 alpha-2 format
- `nationality` (string, required) — The nationality country code of the person in ISO 3166-1 alpha-2 format
- `residence_country` (string, required) — The residence country code of the person in ISO 3166-1 alpha-2 format
- `trip_start_date` (string, required) — The trip start date in ISO 8601 format (YYYY-MM-DD)
- `trip_end_date` (string, required) — The trip end date in ISO 8601 format (YYYY-MM-DD)
- `trip_reason` (enum, required) — The reason for the trip
  - Allowed values: `INTERNAL_BUSINESS_WITH_WORK_FOR_CLIENT`, `INTERNAL_BUSINESS_WITHOUT_WORK_FOR_CLIENT`, `MEETINGS_WITH_OR_FOR_A_CLIENT`, `MEETINGS_WITH_POTENTIAL_CLIENTS`, `NEGOTIATING_CONTRACTS_OR_SIGNING_AGREEMENTS`, `OTHER_EXTERNAL_BUSINESS`, `CONFERENCE`, `TEAM_OFFSITE`, `SPEAKING_AT_CONFERENCE_UNPAID`, `SPEAKING_AT_CONFERENCE_PAID`, `ATTENDING_INTERNAL_TRAINING`, `ATTENDING_EXTERNAL_TRAINING`, `DELIVERING_TRAINING_TO_INTERNAL_PARTICIPANTS`, `DELIVERING_TRAINING_TO_EXTERNAL_PARTICIPANTS_UNPAID`, `DELIVERING_TRAINING_TO_EXTERNAL_PARTICIPANTS_PAID`, `PARTICIPATION_IN_RESEARCH_PROJECTS_AND_STUDIES`, `ASSEMBLY_MAINTENANCE_REPAIR_INSTALLATION`, `TECHNICAL_SUPPORT_OR_SUPERVISION`, `OTHER_HANDS_ON_LABOUR`, `MARKET_RESEARCH_AND_EXPLORING_INVESTMENT_OPPORTUNITIES`, `OTHER`
- `second_nationality` (string, optional) — The second nationality country code of the person in ISO 3166-1 alpha-2 format (optional)

## Response

### 200

Successful operation.

- `data` (ImmigrationVisaRequirementBusinessGetResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of ImmigrationVisaRequirementBusinessGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `errors` (list of ImmigrationVisaRequirementBusinessGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### ImmigrationVisaRequirementBusinessGetResponsesContentApplicationJsonSchemaData

- `fee` (double, required, nullable) — Fee amount
- `name` (string, required, nullable) — Name of the visa type
- `description` (string, required) — Description of the visa type
- `fee_currency` (string, required, nullable) — Currency code for the fee in ISO 4217 format
- `visa_type_id` (string, required, nullable) — Unique identifier of the visa type. This can be used to create a new business visa case on the create cases endpoint.
- `qualification` (enum, required) — Visa qualification status, whether it is required or not. It can be also unsupported if the country does not support business visa options.
  - Allowed values: `VISA_REQUIRED`, `NO_VISA_REQUIRED`, `UNSUPPORTED`
- `estimated_timeline` (enum, required, nullable) — Estimated processing timeline, in weeks, months or years
  - Allowed values: `SIX_WEEKS`, `THREE_MONTHS`, `ONE_WEEK`, `THREE_WEEKS`, `ONE_YEAR`, `TWO_WEEKS`, `FIVE_WEEKS`, `TWO_MONTHS`, `FIVE_MONTHS`, `FOUR_MONTHS`, `SIX_MONTHS`, `FOUR_WEEKS`

### ImmigrationVisaRequirementBusinessGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Machine-readable error code
- `message` (string, optional) — Human-readable explanation of the error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Response**

```json
{
  "data": {
    "fee": 500,
    "name": "B-1 Business Visitor Visa",
    "description": "An employee generally requires a valid title to enter and conduct business in the destination country. The risks of not being able to enter and the penalties for working without a valid work title are significant and can be imposed on both the employer and the employee. Nationals of Brazil are allowed to travel to the United States for External business meetings - Other business meetings (e.g. without hands-on work, representational) for up to 180 days upon obtaining B-1 Visa. The B-1 Visa grants up to a 180-day stay in the US performing the intended business activity.",
    "fee_currency": "USD",
    "visa_type_id": "223e4567-e89b-12d3-a456-426614174111",
    "qualification": "VISA_REQUIRED",
    "estimated_timeline": "FOUR_WEEKS"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/immigration/visa-requirement/business"

querystring = {"destination_country":"US","nationality":"BR","residence_country":"BR","second_nationality":"PT","trip_end_date":"2026-02-23","trip_reason":"INTERNAL_BUSINESS_WITHOUT_WORK_FOR_CLIENT","trip_start_date":"2026-01-31"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/immigration/visa-requirement/business?destination_country=US&nationality=BR&residence_country=BR&second_nationality=PT&trip_end_date=2026-02-23&trip_reason=INTERNAL_BUSINESS_WITHOUT_WORK_FOR_CLIENT&trip_start_date=2026-01-31';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/immigration/visa-requirement/business?destination_country=US&nationality=BR&residence_country=BR&second_nationality=PT&trip_end_date=2026-02-23&trip_reason=INTERNAL_BUSINESS_WITHOUT_WORK_FOR_CLIENT&trip_start_date=2026-01-31"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/immigration/visa-requirement/business?destination_country=US&nationality=BR&residence_country=BR&second_nationality=PT&trip_end_date=2026-02-23&trip_reason=INTERNAL_BUSINESS_WITHOUT_WORK_FOR_CLIENT&trip_start_date=2026-01-31")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/immigration/visa-requirement/business?destination_country=US&nationality=BR&residence_country=BR&second_nationality=PT&trip_end_date=2026-02-23&trip_reason=INTERNAL_BUSINESS_WITHOUT_WORK_FOR_CLIENT&trip_start_date=2026-01-31")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/immigration/visa-requirement/business?destination_country=US&nationality=BR&residence_country=BR&second_nationality=PT&trip_end_date=2026-02-23&trip_reason=INTERNAL_BUSINESS_WITHOUT_WORK_FOR_CLIENT&trip_start_date=2026-01-31', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/immigration/visa-requirement/business?destination_country=US&nationality=BR&residence_country=BR&second_nationality=PT&trip_end_date=2026-02-23&trip_reason=INTERNAL_BUSINESS_WITHOUT_WORK_FOR_CLIENT&trip_start_date=2026-01-31");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/immigration/visa-requirement/business?destination_country=US&nationality=BR&residence_country=BR&second_nationality=PT&trip_end_date=2026-02-23&trip_reason=INTERNAL_BUSINESS_WITHOUT_WORK_FOR_CLIENT&trip_start_date=2026-01-31")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```